<ion-app class="main-bg-container">
    <!-- Fade Header with collapse header -->
    <ion-menu menuId="login" side="start" type="overlay" contentId="main-login">
      <ion-header>
        <ion-toolbar translucent>
          <ion-title>Kallego App</ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content color="transparent">
        <ion-list>
          <ion-menu-toggle auto-hide="false" menu="login">
          <ion-item class="clickable" routerDirection="root" (click)="menurouting('')">
            <ion-icon name="home-outline" slot="start"></ion-icon>
            Home
          </ion-item>
        </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>

  <div class="ion-page" id="main-login">
    <ion-header>
      <ion-toolbar color="transparent">
        <ion-buttons slot="start">
          <ion-menu-button (click)="menuopen()" autoHide="false"></ion-menu-button>
        </ion-buttons>
      </ion-toolbar>
    </ion-header>
    <ion-content class="ion-padding">
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-text class="header-text">
              <h1>Kallego <br /> Admin</h1>
            </ion-text>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <div class="user-form animate__animated animate__fadeIn animate__fast">
              <form #f="ngForm" (ngSubmit)="onSubmit(f)">
                <div class="form-group">
                  <label class="form-label" for="email"><span>Benutzername</span></label>
                  <input [(ngModel)]="username" name="username" autocomplete="username" placeholder="Benutzernamen eingeben" type="text" id="email" class="form-control" value="">
                  <div *ngIf="username.length === 0 && formSubmit === true" class="invalid-feedback">
                    Bitte Benutzernamen eingeben.
                  </div>
                </div>
                <div class="form-group">
                  <label class="form-label" for="password"><span>Passwort</span></label>
                  <input [(ngModel)]="password" name="password" autocomplete="current-password" placeholder="Passwort eingeben" type="password" id="password"
                         class="form-control" value="">
                  <div *ngIf="password.length === 0 && formSubmit === true" class="invalid-feedback">
                    Bitte Passwort eingeben.
                  </div>
                </div>
                <ion-button
                  [disabled]="!f.valid && loading"
                  expand="block"
                  color="primary"
                  type="submit">
                  <span *ngIf="loading">
                    <ion-spinner class="ion-text-center" name="crescent"></ion-spinner>
                  </span>
                  <span *ngIf="!loading">Login</span>
                </ion-button>
                <a [routerLink]="['/forgot']" class="forgot-link"><span class="forgot">Passwort zurückzusetzen</span></a>
              </form>
            </div>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <div class="errorMessage">
              <span class="error" [textContent]="errorMessage"></span>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-content>
  </div>
</ion-app>

